%define ver_major 2.30
%define eapi_ver 2.29

Name:    epiphany-extensions
Version: %ver_major.2
Release: alt3

Summary: Extensions for Epiphany, a GNOME web browser.
Summary(ru_RU.UTF-8): Расширения для интернет-браузера Epiphany
Group: Networking/WWW
License: GPL
URL: http://www.gnome.org/projects/epiphany

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: epiphany-extensions-2.30.2-gtknotebook.patch

Requires: epiphany >= 2.30.5

BuildPreReq: gnome-common intltool gnome-doc-utils
BuildPreReq: glib2-devel >= 2.15.5 libgtk+2-devel >= 2.11.6
BuildPreReq: epiphany-devel >= %ver_major libwebkitgtk2-devel
BuildPreReq: libglade-devel libgio-devel libGConf-devel libxml2-devel libdbus-glib-devel
BuildRequires: gcc-c++ GConf libOpenSP-devel

%description
Extensions for Epiphany, a GNOME web browser based on the Webkit rendering engine.
%description -l ru_RU.UTF8
Расширения для Epiphany - интернет-браузера
графической оболочки GNOME, основанного
на движке отрисовки страниц Webkit.

# This is default set exclude "certificates" extension
%define extensions actions,adblock,auto-reload,auto-scroller,extensions-manager-ui,greasemonkey,gestures,html5tube,push-scroller,tab-groups,tab-key-tab-navigate,tab-states,rss

%prep
%setup -q
%patch -p1

%build
%configure \
	--disable-static \
	--with-extensions=%extensions \
	--disable-schemas-install \
	--disable-scrollkeeper

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome --output=%name.lang %name %name-%eapi_ver

%files -f %name.lang
%_libdir/epiphany/%eapi_ver/extensions/*.so*
%_libdir/epiphany/%eapi_ver/extensions/*.ephy-extension
%_datadir/%name
%_datadir/epiphany/icons/*/*/*/*.*
%doc AUTHORS NEWS README TODO COPYING.*

%exclude %_libdir/epiphany/%eapi_ver/extensions/*.la

%changelog
* Fri Oct 08 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt3
- rebuild against new webkit

* Wed Sep 01 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt2
- rebuild against new epiphany

* Sun Aug 22 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt1
- 2.30.2

* Wed May 12 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Thu Apr 08 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt3
- rebuild to move extensions in proper location according with chanages
  in last epiphany
- rss, greasemonkey and gestures extensions enabled
- another fixes of gtk deprecations from upstream

* Sun Apr 04 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt2
- replaced obsolete gtk symbols

* Thu Apr 01 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Tue Feb 23 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91-alt1
- 2.29.91

* Fri Jan 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.6-alt1
- 2.29.6

* Wed Dec 02 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Mon Sep 28 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt3
- relaxed dependence on epiphany

* Sat Sep 26 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt2
- fixed linking

* Wed Sep 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Thu Sep 10 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.92-alt1
- 2.27.92

* Tue Aug 25 2009 Alexey Shabalin <shaba@altlinux.ru> 2.27.91-alt1
- 2.27.91

* Mon Apr 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Mon Mar 16 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Tue Mar 10 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.91-alt1
- 2.25.91

* Tue Jan 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.24.3-alt1
- 2.24.3

* Tue Dec 09 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt2
- removed obsolete {update,clean}_scrollkeeper
- requires python-module-pygtk >= 2.13.0

* Tue Oct 21 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1

* Tue Sep 23 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0

* Sat Sep 06 2008 Yuri N. Sedunov <aris@altlinux.org> 2.23.91-alt1
- new version

* Wed May 28 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.2-alt1
- 2.22.2

* Wed Apr 09 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.1-alt1
- 2.22.1

* Thu Mar 13 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.0-alt1
- 2.22.0

* Mon Jan 14 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.20.3-alt1
- 2.20.3

* Fri Oct 19 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.20.1-alt1
- 2.20.1

* Thu Sep 20 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.20.0-alt1
- 2.20.0

* Mon Aug 20 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.3-alt1
- 2.18.3

* Sat Jun 16 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.2-alt1
- 2.18.2

* Thu Apr 26 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.1-alt1
- 2.18.1

* Mon Mar 12 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.0-alt0.1
- 2.18.0

* Wed Mar 07 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.17.92-alt0.1
- 2.17.92 (!!!WARNING!!! this is an experimental build)

* Mon Nov 27 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.1-alt3
- Rebuild with new epiphany and firefox

* Mon Oct 09 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.1-alt1
- 2.16.1

* Thu Sep 07 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.0-alt1
- 2.16.0

* Tue Aug 15 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.1.1-alt2
- Rebuild with new epiphany and mozilla

* Thu Jun 01 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.1.1-alt1
- 2.14.1.1

* Fri Apr 14 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.1-alt1
- 2.14.1

* Tue Mar 14 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.0.1-alt2
- ChangeLog corrected

* Mon Mar 13 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.0.1-alt1
- 2.14.0.1

* Tue Mar 07 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.9.7-alt2
- Disable --as-needed flag for linker

* Wed Feb 15 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.9.7-alt1
- 1.9.7

* Fri Dec 02 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.8.2-alt1
- 1.8.2

* Fri Oct 28 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.8.1-alt2
- Rebuild with python support

* Mon Oct 03 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.8.1-alt1
- 1.8.1

* Tue Sep 13 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.8.0-alt3
- 1.8.0

* Sat Apr 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.3-alt1
- 1.6.3

* Sat Apr 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.1-alt1
- 1.6.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt1
- 1.6.0

* Fri Mar 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.5.8-alt1
- 1.5.8

* Fri Jan 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.4.4-alt1
- 1.4.4

* Thu Dec 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.3-alt1
- first build for Sisyphus.
